Credit check for individuals and businesses in Kenya
Authorization
ApiKeyAuth X-API-Key<token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/verification/api/kenya_crb/" \ -H "Content-Type: application/json" \ -d '{ "id_number": "e.g. PVT-JZUAKDP3", "id_type": "e.g. INDIVIDUAL" }'{ "data": { "id_type": "INDIVIDUAL", "id_number": "PVT-JZUAKDP3", "total_debt": "KES 500,000", "credit_score": 720, "credit_rating": "Good", "payment_history": "Good", "outstanding_loans": 2 }, "status": true, "response_code": "00", "message": "string", "billing_info": { "was_charged": true, "amount": "string", "currency": "string" }}Response Codes & Statuses: Prembly API responses include custom
response_code values (e.g., 00 Success, 01 Not Found, 02 Unavailable).Prembly Slack Community
Join our developer Slack channel for real-time integration support, engineering updates, and direct Q&A with the Prembly team.
Join Slack Channel